



.starfield{position:absolute;inset:0;overflow:hidden;pointer-events:none;z-index:3}.star{position:absolute;width:2px;height:2px;border-radius:50%;background:#fff;box-shadow:0 0 8px #b99bff;animation:fly linear infinite}.star.shooting{width:70px;height:1px;transform:rotate(-28deg);background:linear-gradient(90deg,transparent,#fff);box-shadow:none;animation-name:shoot}
@keyframes shoot{from{transform:translate3d(0,0,0) rotate(-28deg);opacity:0}15%{opacity:1}to{transform:translate3d(-500px,300px,0) rotate(-28deg);opacity:0}}
.cursor,.cursor2{position:fixed;pointer-events:none;z-index:200;transform:translate(-50%,-50%);border-radius:50%;mix-blend-mode:difference}.cursor{width:22px;height:22px;border:1px solid #fff;transition:.18s}.cursor2{width:5px;height:5px;background:#fff}


.star.shooting{width:101px;height:3px;background:linear-gradient(90deg,transparent,#c9b5ff 45%,#fff);box-shadow:0 0 16px #a879ff,0 0 35px #6f43ff55;animation-name:shoot}
@keyframes shoot{from{transform:translate3d(0,0,0) rotate(-28deg);opacity:0}12%{opacity:1}to{transform:translate3d(-700px,430px,0) rotate(-28deg);opacity:0}}
